Subject: bug#52329: Fix alignment of makefile-backslash-region

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 08 Sep 2022 16:32:25 +0200

Fredrik Bergroth <[email-masked]> writes:

> emacs -Q --eval '(makefile-mode)' --eval '(insert "a\nbbbbb\ncc")' --eval '
> (mark-whole-buffer)' --eval "(call-interactively 'makefile-backslash-region)"
>
> This will end up with a bunch of tabs (rather than spaces) after the
> "a" and the b:s. If you now change tab-width to 2, the backslashes
> won't align.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

The advantage of using TABs for alignment here, though, is that if you
then adjust some of the text slightly, you won't need to adjust the
alignment.

Which is much more common than altering tab-width, so I don't think we
want to do this change, and I'm therefore closing this bug report.